# See the kopano-dagent.cfg(5) manpage for details and more directives.

# Space-separated list of address:port specifiers with optional %interface
# infix for where the server should listen for LMTP connections.
#
#    "unix:/var/spool/kopano/dagent.sock" — local socket
#    "*:236" — port 2003, all protocols
#    "[::]:236" — port 2003 on IPv6 only
#    "[2001:db8::1]:236" — port 2003 on specific address only
#
#lmtp_listen = *%lo:2003

# connection to the storage server
#server_socket = file:///var/run/kopano/server.sock
# Login to the storage server using this SSL Key
#sslkey_file = /etc/kopano/ssl/dagent.pem
# The password of the SSL Key
#sslkey_pass = replace-with-dagent-cert-password

#log_method = auto
# Loglevel (0(none), 1(crit), 2(err), 3(warn), 4(notice), 5(info), 6(debug))
#log_level = 3
#log_file = -
#log_timestamp = yes

# Log raw message to a file. Can be "no", "all", or a list of usernames
# for which messages should be saved.
#log_raw_message = no
#log_raw_message_path = /var/db/kopano

# Maximum LMTP threads that can be running simultaneously
# This is also limited by your SMTP server. (20 is the postfix default concurrency limit)
#lmtp_max_threads = 20

# The following e-mail header will mark the mail as spam, so the mail
# is placed in the Junk Mail folder, and not the Inbox.
# The name is case insensitive.
# set to empty to not use this detection scheme.
#spam_header_name = X-Spam-Status

# If the above header is found, and contains the following value
# the mail will be considered as spam.
# Notes:
#  - The value is case insensitive.
#  - Leading and trailing spaces are stripped.
#  - The word 'bayes' also contains the word 'yes'.
#spam_header_value = Yes,

# Enable archive_on_delivery to automatically archive all incoming
# messages on delivery.
# This will do nothing if no archive is attached to the target mailbox.
#archive_on_delivery = no

# Enable the dagent Python plugin framework. Disables threading.
#plugin_enabled = yes

# Path to the activated dagent plugins.
#   This folder contains symlinks to the kopano plugins and custom scripts. The plugins are
#   installed in '/usr/local/share/kopano-dagent/python/plugins/'. To activate a plugin create a symbolic
#   link in the 'plugin_path' directory.
#
# Example:
#  $ ln -s /usr/local/share/kopano-dagent/python/plugins/BMP2PNG.py /var/db/kopano/dagent/plugins/BMP2PNG.py
#plugin_path = /var/db/kopano/dagent/plugins

##############################################################
# DAGENT RULE SETTINGS

# Enable the addition of X-Kopano-Rule-Action headers on messages
# that have been forwarded or replied by a rule.
#set_rule_headers = yes

# Enable this option to prevent rules from potentially causing a loop. An
# e-mail can only be forwarded once when this option is enabled. Requires the
# set_rule_headers option to also be enabled.
#no_double_forward = yes

# Domain list to which forwarding is allowed. (Cuts off after 1000 characters,
# and knows no escape chars, so use the _file variants if needed.)
#forward_whitelist_domains = *
#forward_whitelist_domains_file =
#forward_whitelist_domain_subject = REJECT: %subject not forwarded (administratively blocked)
#forward_whitelist_domain_message = The Kopano mail system has rejected your request to forward your e-mail with subject %subject (via mail filters) to %sender: the operation is not permitted.\n\nRemove the rule or contact your administrator about the forward_whitelist_domains setting.
#forward_whitelist_domain_message_file =

# When multiple HTML MIME parts are found, they can be joined to form a
# continuous e-mail. (If not, they will become attachments.) Joining them
# however can compromise the document integrity, as stylesheets and JavaScripts
# affect the entire joined document.
#
#insecure_html_join = no

# A list of headers separated by space that, if present in a mail, will inhibit
# the forwading of the mail. If the header contains spaces (e.g. when matching
# with a specific value), it should be wrapped in double quotes (""). A * can
# be used at the end to indicate it is a prefix and should be matched as such.
# The values are case insensitive.
#inhibit_forward_headers = X-Kopano-Vacation Auto-Submitted

# A list of headers separated by space that, if present in the mail, will
# inhibit an auto reply to the mail. If the header contains spaces (e.g. when
# matching with a specific value), it should be wrapped in double quotes ("").
# A * can be used at the end of the header to indicate it is a prefix and
# should be matched as such. The values are case insensitive.
#inhibit_auto_reply_headers = X-Kopano-Vacation Auto-Submitted Precedence List-Id
#	List-Help List-Subscribe List-Unsubscribe List-Post List-Owner
#	List-Archive "X-Spam-Flag: YES" "X-Is-Junk: YES" X-AMAZON* X-LinkedIn*
